## MicroPython Joystick Library - DIYables_MicroPython_Joystick
This MicroPython library is designed for any hardware plaform that supports MicroPython such as Raspberry Pi Pico, ESP32, Micro:bit... to make it easy to use with joystick. It is easy to use for not only beginners but also experienced users... 

It is created by DIYables to work with DIYables Joystick, but also work with products from other brands. Please consider purchasing products from [DIYables Store on Amazon](https://amazon.com/diyables) to support our works.



Features
----------------------------
* Works with any hardware plaform that supports MicroPython such as Raspberry Pi Pico, ESP32, Micro:bit...

Product Link
----------------------------
* [Joystick](https://diyables.io/products/joystick)
* [Sensor Kit](https://diyables.io/products/sensor-kit)



Available Functions
----------------------------
* \_\_init\_\_(pin_x, pin_y, pin_button, mode=Pin.PULL_UP)
* read_x()	
* read_y()	
* read_button_state()
* is_pressed()
* is_released()
* get_press_count()
* set_press_count_mode(mode)
* reset_press_count()
* set_debounce_time(time_ms)
* loop()



Available Examples
----------------------------
* main.py



Tutorials
----------------------------
* [Raspberry Pi Pico - Joystick](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-joystick)



References
----------------------------
* [MicroPython Joystick Library](https://newbiely.com/tutorials/micropython/micropython-joystick-library)
